﻿@model Appointments.Entities.Appointment

@{
    ViewBag.Title = "Details";
    string name = ViewBag.name;
    string dname = ViewBag.dname;
}

<h2>Details</h2>

<div>
    <h4>Appointment</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            Patient
        </dt>

        <dd>
            @Html.Label(name)
        </dd>
        <dt>
            Start Datestamp:
        </dt>
        <dd>
            @Html.Label(Model.StartDate.ToShortDateString())
        </dd>
        <dt>
            Start Datestamp:
        </dt>
        <dd>
            @Html.Label(Model.EndDate.ToShortDateString())
        </dd>
        <dt>
            Appointment Reason:
        </dt>
        <dd>
            @Html.Label(Model.Description)
        </dd>
        <dt>
            Diagnosis:
        </dt>
        <dd>
            @if (Model.Diagnosis != null)
            {@Html.Label(Model.Diagnosis)}
 
            This Appointment has no diagnosis currently.  
        </dd>
        <dt>
            Seen By:
        </dt>
        <dd>
            @Html.Label(dname)
        </dd>
    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.ID }) |
    @Html.ActionLink("Back to List", "Index")
</p>
